package com.sooka.jnb.asking.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 问答列-答案对象 jnb_answer
 * 
 * @author ruoyi
 * @date 2024-03-13
 */
public class JnbAnswer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 问题id */
    @Excel(name = "问题id")
    private String questionId;

    /** 答案 */
    @Excel(name = "答案")
    private String answer;

    /** 是否被采纳 */
    @Excel(name = "是否被采纳")
    private String adopt;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String dataStatus;

    //积分
    private String score;

    //微信名
    private String wechatName;

    //真实姓名
    private String name;

    //头像
    private String headImg;

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getWechatName() {
        return wechatName;
    }

    public void setWechatName(String wechatName) {
        this.wechatName = wechatName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHeadImg() {
        return headImg;
    }

    public void setHeadImg(String headImg) {
        this.headImg = headImg;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setQuestionId(String questionId) 
    {
        this.questionId = questionId;
    }

    public String getQuestionId() 
    {
        return questionId;
    }
    public void setAnswer(String answer) 
    {
        this.answer = answer;
    }

    public String getAnswer() 
    {
        return answer;
    }
    public void setAdopt(String adopt) 
    {
        this.adopt = adopt;
    }

    public String getAdopt() 
    {
        return adopt;
    }
    public void setDataStatus(String dataStatus) 
    {
        this.dataStatus = dataStatus;
    }

    public String getDataStatus() 
    {
        return dataStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("questionId", getQuestionId())
            .append("answer", getAnswer())
            .append("adopt", getAdopt())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dataStatus", getDataStatus())
            .toString();
    }
}
