package com.sooka.jnb.cooperative.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 供销合作社对象 jnb_supply_and_marketing_cooperative
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
public class Cooperative extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 删除状态 */
    private String delFlag;

    /** 版本 */
//    @Excel(name = "版本")
    private Integer version;

    /** 供销社名称 */
    @Excel(name = "供销社名称")
    private String name;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 负责人 */
    @Excel(name = "负责人")
    private String chargePeople;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String chargePhone;

    /** 图片 */
//    @Excel(name = "图片")
    private String imgUrl;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setVersion(Integer version)
    {
        this.version = version;
    }

    public Integer getVersion()
    {
        return version;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setChargePeople(String chargePeople) 
    {
        this.chargePeople = chargePeople;
    }

    public String getChargePeople() 
    {
        return chargePeople;
    }
    public void setChargePhone(String chargePhone) 
    {
        this.chargePhone = chargePhone;
    }

    public String getChargePhone() 
    {
        return chargePhone;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("version", getVersion())
            .append("name", getName())
            .append("address", getAddress())
            .append("chargePeople", getChargePeople())
            .append("chargePhone", getChargePhone())
            .append("imgUrl", getImgUrl())
            .toString();
    }
}
