package com.sooka.jnb.handleAffairs.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 网格类型配置对象 jnb_grid_type
 * 
 * @author lidongyu
 * @date 2024-03-01
 */
@Data
public class GridType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    @NotBlank(message = "名称不能为空")
    private String name;

    /** 岗位描述 */
    @Excel(name = "岗位描述")
    @NotBlank(message = "岗位描述不能为空")
    private String jobDescription;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String fileUrl;

    /** 是否展示 */
    @Excel(name = "是否展示")
    private String yesOrNoShow;

}
