package com.sooka.jnb.matter.service;


import com.sooka.jnb.department.domin.Department;
import com.sooka.jnb.matter.domin.Matter;

import java.util.List;

public interface MatterService
{
    /**
     * 获取事项详细信息
     */
    Matter selectSysMatterById(Integer id);

    /**
     * 查询事项列表
     */
     List<Matter> selectSysMatterVo(Matter matter);

    /**
     * 查询推荐事项列表
     */
    List<Matter> selectSysrecommendVo(Matter matter);
    /**
     * 获取收藏详细信息
     */
    List<Matter> collectlist(String id);

    /**
     * 新增事项
     */
    int insertSysMatter(Matter matter);

    /**
     * 修改事项
     */
     int updateSysMatter(Matter matter);

    /**
     * 审核事项
     */
    public int examine(Matter matter);

    /**
     * 删除事项
     */
    int deleteSysMatterByDeptId(Long id);
}
