package com.sooka.jnb.matter.service.impl;


import com.sooka.jnb.matter.domin.Collect;

import com.sooka.jnb.matter.domin.Matter;
import com.sooka.jnb.matter.mapper.CollectMapper;
import com.sooka.jnb.matter.mapper.MatterMapper;
import com.sooka.jnb.matter.service.CollectService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CollectServicempl  implements CollectService {

    @Resource
    private CollectMapper collectMapper;

    @Resource
    private MatterMapper matterMapper;
    /**
     * 收藏事项
     */
    @Override
    public int insertcollect(Collect collect) {
        return collectMapper.insertcollect( collect);
    }

    /**
     * 获取收藏事项详细信息
     */
    @Override
    public Collect selectcollect(Collect collect)
    {
        return collectMapper.selectcollect(collect);
    }


    /**
     * 取消事项收藏
     */
    @Override
    public int deletecollect(Long id)
    {
        return collectMapper.deletecollect(id);
    }

}
