package com.sooka.jnb.my.domain;


import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.ibatis.type.Alias;

/**
 * 积分以及流水实体类
 *
 * @author LG
 * @date 2020-09-07 11:14
 */
@Data
@Alias("scoreOperate")
public class ScoreOperate extends BaseEntity {
    /**
     * 数据id
     */
    private Integer id;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 积分
     */
    private Integer scoreNum;

    /**
     * 积分操作
     */
    private String scoreOperate;

    /**
     * 积分操作类型
     */
    private String relevance;

    /**
     * 积分操作类型的数据id
     */
    private String relevanceDataId;

    /**
     * 用户姓名
     */
    private String name;

    /**
     * 用户电话
     */
    private String phone;

    /**
     * 微信名称
     */
    private String wechatName;


    public ScoreOperate() {
    }

    public ScoreOperate(String userId, Integer scoreNum, String relevance, String relevanceDataId) {
        this.userId = userId;
        this.scoreNum = scoreNum;
        this.relevance = relevance;
        this.relevanceDataId = relevanceDataId;
    }
}
