package com.sooka.jnb.asking.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 类型配置对象 jnb_question_type
 *
 * @author 韩福成
 * @date 2024-03-01
 */
public class JnbQuestionType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /*
     *  图片id
     */
    private String imgId;

    /*
    * 图片关联id
    */
    private String typeId;

    /**
     * 类型名称
     */
    @Excel(name = "类型名称")
    private String type;

    /**
     * 图片路径
     */
    private String path;

    /**
     * 是否首页展示
     */
    @Excel(name = "是否首页展示")
    private String whetherShow;

    /**
     * 数据状态(1-可用 2-不可用 )
     */
    private String dataStatus;

    /*
    * 问题数
    */
    private Long questionNum;

    public Long getQuestionNum() {
        return questionNum;
    }

    public void setQuestionNum(Long questionNum) {
        this.questionNum = questionNum;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getImgId() {
        return imgId;
    }

    public void setImgId(String imgId) {
        this.imgId = imgId;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public String getWhetherShow() {
        return whetherShow;
    }

    public void setWhetherShow(String whetherShow) {
        this.whetherShow = whetherShow;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("type", getType())
                .append("show", getWhetherShow())
                .toString();
    }
}
