package com.sooka.jnb.department.service;

import com.sooka.jnb.department.domin.Department;

import java.util.List;

public interface DepartmentService
{


    /**
     * 查询部门配置列表
     */
     List<Department> selectSysDeptVo(Department department);

    /**
     * 获取部门配置详细信息
     */
    Department selectSysDeptById(Integer id);

    /**
     * 新增部门配置
     */
     int insertSysDept(Department department);

    /**
     * 修改部门配置
     */
     int updateSysDept(Department department);

    /**
     * 删除部门配置
     */
     int deleteSysDeptByDeptId(Long id);
}
