package com.sooka.jnb.knowledge.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 知识库对象 jnb_knowledge_base
 *
 * @author ruoyi
 * @date 2024-03-02
 */
public class JnbKnowledgeBase extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 标题
     */
    @Excel(name = "标题")
    private String titleName;

    /**
     * 正文
     */
    @Excel(name = "正文")
    private String textDetails;

    /**
     * 是否热门
     */
    @Excel(name = "是否热门")
    private Boolean popular;

    /**
     * 付费积分
     */
    @Excel(name = "付费积分")
    private Long integral;

    /**
     * 点赞数
     */
    @Excel(name = "点赞数")
    private Long likeNum;

    /**
     * 浏览数
     */
    @Excel(name = "浏览数")
    private Long watchNum;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    private String createId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTitleName(String titleName) {
        this.titleName = titleName;
    }

    public String getTitleName() {
        return titleName;
    }

    public void setTextDetails(String textDetails) {
        this.textDetails = textDetails;
    }

    public String getTextDetails() {
        return textDetails;
    }

    public void setPopular(Boolean popular) {
        this.popular = popular;
    }

    public Boolean getPopular() {
        return popular;
    }

    public void setIntegral(Long integral) {
        this.integral = integral;
    }

    public Long getIntegral() {
        return integral;
    }

    public void setLikeNum(Long likeNum) {
        this.likeNum = likeNum;
    }

    public Long getLikeNum() {
        return likeNum;
    }

    public void setWatchNum(Long watchNum) {
        this.watchNum = watchNum;
    }

    public Long getWatchNum() {
        return watchNum;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getCreateId() {
        return createId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("titleName", getTitleName())
                .append("textDetails", getTextDetails())
                .append("popular", getPopular())
                .append("integral", getIntegral())
                .append("likeNum", getLikeNum())
                .append("watchNum", getWatchNum())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .append("createId", getCreateId())
                .toString();
    }
}
