package com.sooka.jnb.matter.mapper;

import com.sooka.jnb.department.domin.Department;
import com.sooka.jnb.matter.domin.Matter;

import java.util.List;
/**
 * 部门Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-01
 */
public interface MatterMapper {

        /**
         * 获取事项详细信息
         */
        Matter selectSysMatterById(Integer id);

        /**
         * 查询事项列表
         */
        List<Matter> selectSysMatterVo(Matter matter);

        /**
         * 查询推荐事项列表
         */
        List<Matter> selectSysrecommendVo(Matter matter);

        /**
         * 新增事项
         */
        int insertSysMatter(Matter matter);

        /**
         * 修改事项
         */
        int updateSysMatter(Matter matter);

        /**
         * 审核事项
         */
        int examine(Matter matter);

        /**
         * 获取事项详细信息
         */
        List<Matter> collectlist(String id);

        /**
         * 删除事项
         */
        int deleteSysMatterByDeptId(Long id);
}


