package com.sooka.jnb.my.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.ibatis.type.Alias;

/**
 * 图片管理对象 jnb_img
 *
 * @author LG
 * @date 2024-03-05
 */
@Data
@Alias("jnbImg")
public class JnbImg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 数据id
     */
    private Long id;

    /**
     * 图片路径
     */
    private String imgUrl;

    /**
     * 图片名称
     */
    private String imgName;

    /**
     * 开关
     */
    private String imgSwitch;

    /**
     * 图片类型：1封面图片；2：轮播图片
     */
    private String imgType;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("imgUrl", getImgUrl())
                .append("imgName", getImgName())
                .append("switch", getImgSwitch())
                .append("imgType", getImgType())
                .toString();
    }
}
