package com.sooka.jnb.my.mapper;

import com.sooka.jnb.my.domain.ScoreOperate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ScoreMapper {
    int initScore(ScoreOperate score);

    ScoreOperate getScore(String userId);

    List<ScoreOperate> getScoreList(ScoreOperate score);

    int addScore(ScoreOperate score);

    int reduceScore(ScoreOperate score);

    int insertScoreOperate(ScoreOperate score);

    Map<String, Long> soleVerify(String userId);

    List<ScoreOperate> getList(ScoreOperate score);

    int knowledgeWhetherToPay(@Param("userId") String userId,@Param("relevanceDataId") String relevanceDataId);
}
