package com.sooka.jnb.quotations.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 行情产品配置对象 jnb_quotations_config
 * 
 * @author ruoyi
 * @date 2024-03-01
 */
@Data
public class JnbQuotationsConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 父级分类id */
    private Long parentId;

    /** 分类层级 */
    private String level;

    /** 图片路径 */
    @Excel(name = "图片路径")
    private String icon;

    /** 是否首页展示 */
    @Excel(name = "是否首页展示")
    private String homeDisplay;

    /** 产品名称 */
    @Excel(name = "产品名称")
    private String productName;

    /** 子分类 */
    private List<JnbQuotationsConfig> children;

    private  String imgUrlList;
}
